import request from '@/config/axios'

// 获得列表
export const getExtraFeePage = (params) => {
  return request.get({ url: '/admin-api/crm/extra-pay/page', params })
}

// 创建
export const createExtraFee = (data) => {
  return request.post({ url: '/admin-api/crm/extra-pay/create', data, isSubmitForm: true })
}

// 更新
export const updateExtraFee = (data) => {
  return request.put({ url: '/admin-api/crm/extra-pay/update', data })
}

// 删除
export const deleteExtraFee = (id) => {
  return request.delete({ url: `/admin-api/crm/extra-pay/delete?id=${id}` })
}

// 获得
export const getExtraFee = (id) => {
  return request.get({ url: `/admin-api/crm/extra-pay/get?id=${id}` })
}

export const getExtraFeeSimpleList = async () => {
  return await request.get({ url: '/admin-api/crm/extra-pay/simple-list' })
}
